Como Instalar o Wine 5.0 no Ubuntu 18.04/19.10/Mint 19.x

Olá Colegas!

Compartilhando com vocês esse pequeno guia para atualizar o Wine para a última versão que é a 5.0. Tive alguns problemas para conseguir instalá-lo, mas com um pouco de pesquisa encontrei um bom guia. Chega de enrolação e vamos ao que interessa!

Basta ir copiando e colando os seguintes códigos no terminal e ir apertando Enter e digitando sua senha de Root.

  1. Instalar Dependências

Primeiramente vocês devem instalar as dependências necessárias

sudo apt-get install libgnutls30:i386 libldap-2.4-2:i386 libgpg-error0:i386 libxml2:i386 libasound2-plugins:i386 libsdl2-2.0-0:i386 libfreetype6:i386 libdbus-1-3:i386 libsqlite3-0:i386

  1. Habilitar o suporte a arquitetura x86

sudo dpkg --add-architecture i386

  1. Adicionar a Chave e o Repositório do WineHQ (A versão do Wine nos repositórios do Ubuntu ainda é a 3.0, logo é necessário adicionar o repositório do desenvolvedor)
  • Adicionar a chave

wget -nc https://dl.winehq.org/wine-builds/winehq.key; sudo apt-key add winehq.key

  • Adicionar o repositório

Ubuntu 18.04 e Mint 19.x

sudo apt-add-repository ‘deb Index of /wine-builds/ubuntu bionic main’

Ubuntu 19.10

sudo apt-add-repository ‘deb Index of /wine-builds/ubuntu eoan main’

  1. Adicionar o PPA para a biblioteca libfaudio que não está presente nos repositórios destas versões do Ubuntu/Mint e é necessária para essa versão (esse foi o meu problema)

sudo add-apt-repository ppa:cybermax-dexter/sdl2-backport

  1. Instalar o Wine 5

sudo apt update && sudo apt install --install-recommends winehq-stable

  1. Após isso, execute o comando winecfg no terminal e configure a seu gosto. Opcionalmente você pode remover a PPA dos seus repositórios.

E é isto! Espero que seja de ajuda!

Até a próxima.

Tutorial Original em Inglês do Blog UbuntuHandbook

12 Curtidas

Valeu cara, também estava tendo problemas para atualizar para a versão 5, mas com o seu guia eu consegui :+1:t6:

3 Curtidas

Show man! Que bom que foi útil.

2 Curtidas

No Ubuntu 19.10, esse pacote está disponível no repositório padrão, sem a necessidade de adicionar repositórios de terceiros.

1 Curtida

Ótimo trabalho escrevendo esse tutorial, parabéns, abordando inclusive a adição do FAudio como dependência do Wine stable 5.0 (ele já existia no Wine devel 4.5) já que foi utilizado pelo WineHQ para servir de implementação base para o XAudio, do DirectX.

1 Curtida

Sim, sim. Mas para as versões abaixo da 19.10 dessa precisam desse PPA, por que esse pacote não existe nos repositórios.

É bom especificar isso no tutorial, pra ficar mais completo. :stuck_out_tongue_winking_eye:

1 Curtida

ta certo isso aqui?(20chars)

Está sim, não funcionou para você?

era nada d+ n… era apenas a formatação que nao esta mostrando corretamente o repositorio

1 Curtida

Mint 19.3

Os pacotes a seguir têm dependências desencontradas:
wine-stable-amd64 : Depende: libfaudio0 mas não é instalável
wine-stable-i386:i386 : Depende: libfaudio0:i386 mas não é instalável
E: Pacotes quebrados

Você adicionou o ppa?

sudo add-apt-repository ppa:cybermax-dexter/sdl2-backport
1 Curtida

Não havia me atentado! Obrigado…

1 Curtida

ola pessoal, sou usuário inicial no mundo Linux, estou com a distro Linux Mint 19.3 , e sempre que tento instalar o wine 5.0 aparece a seguinte mensagem:

Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da “Incoming”.
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
winehq-stable : Depende: wine-stable (= 5.0.0~eoan)
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

Tem como alguém me ajudar. desde já agradeço.

Olá Ismael!
Seja bem vindo ao fórum, já tentou rodar o seguinte comando?

sudo apt-get -f install

deu certo amigo, fiz outras configurações e deu certo, obrigado.

1 Curtida

Ola meu wine não abre as configuração dele onde vc configura o wine mesmo

Para abrir as configurações, basta digitar no terminal:

winecfg

Fonte: Winecfg - WineHQ Wiki

Boa tarde, fiz o procedimento e continuou no 4.0

Olá, galera. Instalei o Ubuntu 20.04 no meu notebook e encontrei vários problemas na instalação do Wine. No terminal, avisa que está instalado mas ele simplesmente não abre, não aparece em nenhum menu.

Tentei esse tutorial aqui e não consegui.

Sabem se houve alguma atualização no processo?